let myData = [
  'Jan',
  'Feb',
  'Mar',
  'Apr',
  'May',
  'Jun',
  'Jul',
  'Aug',
  'Sep',
  'Oct',
  'Nov',
  'Dec',
];

let linearScale = d3.scaleLinear()
	.domain([0, 11])
	.range([0, 600]);

let ordinalScale = d3.scaleOrdinal()
	.domain(myData)
	.range(['black', '#ccc', '#ccc'])

d3.select('#wrapper')
	.selectAll('text')
	.data(myData)
	.join('text')
	.attr('x', (d, i) => linearScale(i))
	.text(d => d)
	.style('fill', d => ordinalScale(d));
